#!/usr/bin/env bash
set -euo pipefail

if [ "$(basename "$(pwd -P)")" != "workspaces" ]; then
  echo "Error: this script must be run from a directory named 'workspaces', not '$(basename "$(pwd -P)")'" >&2
  exit 1
fi

replace_home() {
  sed -i "s|$1|$2|g" .config/fish/fish_variables
  find .local/share/nvim/mason/packages -type f -exec sed -i "s|$1|$2|g" {} +
}

find .config -type d -exec chmod g+x {} +

replace_home "$PWD" "/home/devuser"
tar --mode=a=r,u+w,a+x -czf home.tar.gz --owner root:0 --group root:0 --xform "s,$PWD,/home/devuser," .config .local .ssh
replace_home "/home/devuser" "$PWD"
